package com.jasamedika.medifirst2000.vo;

import java.util.Date;

import javax.persistence.ManyToOne;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.helper.Caption;

public class PembatalanPasienVO extends BaseTransactionVO {
	
	@ManyToOne
	@Caption(value="Pasien Daftar")
	@NotNull(message="Tanggal Retur Harus Diisi")
	private PasienDaftarVO pasienDaftar;
	
	@Caption(value="Tanggal Retur")
	@NotNull(message="Tanggal Retur Harus Diisi")
	private Date tglRetur;
	
	@Caption(value="Keterangan Lainnya")
	private String keteranganaLainnya;
	
	@Caption(value="Keterangan Alasan")
	private String keteranganAlasan;

	public PasienDaftarVO getPasienDaftar() {
		return pasienDaftar;
	}

	public void setPasienDaftar(PasienDaftarVO pasienDaftar) {
		this.pasienDaftar = pasienDaftar;
	}

	public Date getTglRetur() {
		return tglRetur;
	}

	public void setTglRetur(Date tglRetur) {
		this.tglRetur = tglRetur;
	}

	public String getKeteranganaLainnya() {
		return keteranganaLainnya;
	}

	public void setKeteranganaLainnya(String keteranganaLainnya) {
		this.keteranganaLainnya = keteranganaLainnya;
	}

	public String getKeteranganAlasan() {
		return keteranganAlasan;
	}

	public void setKeteranganAlasan(String keteranganAlasan) {
		this.keteranganAlasan = keteranganAlasan;
	}
	
}
